{% extends "dialog.html" %}
{% load applications_tags planner_common %}
{% block modal_id %}operationline-dialog{% endblock %}
{% block header %}Select a crew member{% endblock %}
{% block body %}
  <form hx-get="{% url "operationline_select_volunteer_dialog" line.pk %}"
        hx-target="next table"
        hx-trigger="submit, change"
        hx-swap="outerHTML"
        hx-select="table">
    <input type="checkbox"
           class="toggle"
           name="permanent_crew"
           id="permanent_crew">
    <label for="permanent_crew">Permanent crew</label>
    <div class="row filter-row">
      <div class="col-md-5">
        <div class="search-box">
          <input type="text"
                 name="search"
                 class="search{% if search %} hasValue{% endif %}"
                 onInput="this.classList.toggle('hasValue', this.value)">
          <button type="submit" class="button button-primary">
            <i class="fas fa-search"></i>
          </button>
          <button alt="clear search"
                  type="reset"
                  onclick="let input = this.closest('.search-box').querySelector('input[name=search]'); input.value = ''; htmx.trigger(input, 'change');">
            {% inline_svg "vendor/material-icons/close.svg" %}
          </button>
        </div>
      </div>
      <div class="col-md-3">
        <select name="position" id="position-filter" class="dropdown filter">
          <option value="">All Positions</option>
          {% for position in positions_without_group %}
            <option value="{{ position.key }}"
                    {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
          {% endfor %}
          {% for group_label, positions in positions_with_group.items %}
            <optgroup label="{{ group_label }}">
              {% for position in positions %}
                <option value="{{ position.key }}"
                        {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
              {% endfor %}
            </optgroup>
          {% endfor %}
        </select>
      </div>
    </div>
  </form>
  {% include "operations/operation_details_line_crew_member_select_dialog_table.html" %}
{% endblock %}
{# {% block buttons %} #}
{# {# <form action="{% url " volunteer_request_availabilities" volunteer_id=volunteer.pk %}" #} {# method="post">
  #}
#}
{# {# {% csrf_token %} #} #}
{# {# <input name="confirm" #} {# class="btn button btn-primary button-primary" #} {# type="submit" #} {# #} {#
value="Send inquiry"> #} #}
{# {# </form> #} #}
{# {% endblock %} #}
